## Contributing

We are pleased that you are interested in contributing to our work.

### Protocol Buffer Files

We welcome ideas and discussion around the messages provided in this
repository. One caveat: These are very widely used within Google, and are
seeing increasing usage elsewhere. In the interest of compatibility, we
must be very deliberative about accepting additions in this repository.
We are likely to do so only if there is _already_ significant adoption
and general consensus around the idea (in another context, e.g. similar protos
declared elsewhere and already in use).

Therefore, we encourage and welcome ideas and contributions, but request
patience in the event that additions or changes are needed.


### Documentation

We want for both protocol buffers and the types that we have provided here
to be understandable to everyone, including to those who may be unfamiliar
with the ecosystem or concepts.

That means we want our documentation to be better, and welcome anyone
willing to help with this. Please open a pull request.

## Contributor License Agreement

Before we can accept your pull requests, you will need to sign a Contributor
License Agreement (CLA):

  - **If you are an individual writing original source code** and **you own the
    intellectual property**, then you need to sign an [individual CLA][].
  - **If you work for a company that wants to allow you to contribute your
    work**, then you need to sign a [corporate CLA][].

You can sign these electronically (just scroll to the bottom). After that,
we'll be able to accept your pull requests.

  [individual CLA]: https://developers.google.com/open-source/cla/individual
  [corporate CLA]: https://developers.google.com/open-source/cla/corporate
